Description

Good Day All,

I want to find documentation or a walkthrough to install Redmine with MySQL DB on Docker with persistent volumes and an easy

way to import plugins.

With this, I want to only worry about pushing/updating/upgrading the environment by pulling the latest image and possibly running the

site/upgrade URL.

Hopefully, with this my DB stays intact, and also my color scream/templates remain intact.

It would be great if you could import the plugins via the Redmine site and press a Rake button to consume the plugin.

This would make Redmine the easiest to install and work with.

This is my pipe dream at the moment.

And add the functionality to import SSL/ certificate on the Redmine administrator site to make it secure.

History

#1 - 2022-10-02 10:09 - Marius BĂLTEANU

- Tracker changed from Defect to Feature

Hi Johan, We don't maintain any Docker image and we don't have in plan to do so in the near future. I'm changing this ticket to a feature request.

#2 - 2022-10-02 10:09 - Marius BĂLTEANU

- Category deleted (Administration)

#3 - 2024-08-23 09:21 - Turnip Zoink

This shouldn't be left up to outsiders. Who doesn't run applications in containers these days?

There are issues that require changes to Redmine. For instance, I've setup Redmine to run with a rootless docker daemon, but Redmine is changing

permissions in the same way https://github.com/lando/lando/issues/3343

#4 - 2024-08-23 10:06 - Turnip Zoink

https://hub.docker.com/_/redmine
